ClarisWksTable Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ClarisWksTable Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksTable.hxx>`

## Public Member Functions
| ClarisWksTable (ClarisWksDocument &document)
| constructor More...
virtual | ~ClarisWksTable ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
std::shared_ptr< ClarisWksStruct::DSET > | readTableZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET More...

## Protected Member Functions
bool | sendZone (int number)
| sends the zone data to the listener (if it exists ) More...
bool | askMainToSendZone (int number)
| ask the main parser to send a zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readTableBorders (ClarisWksTableInternal::Table &table)
| try to read the table border More...
bool | readTableCells (ClarisWksTableInternal::Table &table)
| try to read the table cells More...
bool | readTableBordersId (ClarisWksTableInternal::Table &table)
| try to read the table border More...
bool | readTablePointers (ClarisWksTableInternal::Table &table)
| try to read a list of pointer ( unknown meaning ) More...

## Protected Attributes
ClarisWksDocument & | m_document
| the document More...
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< ClarisWksTableInternal::State > | m_state
| the state More...
MWAWParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| ClarisWksTable (ClarisWksTable const &orig)=delete
ClarisWksTable & | operator= (ClarisWksTable const &orig)=delete

## Friends
class | ClarisWksDocument
class | ClarisWksParser
struct | ClarisWksTableInternal::Table

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

## ◆ ClarisWksTable() [1/2]

ClarisWksTable::ClarisWksTable | ( | ClarisWksDocument & | document | ) |
| explicit

constructor

## ◆ ~ClarisWksTable()

ClarisWksTable::~ClarisWksTable | ( |  | ) |
| virtual

destructor

## ◆ ClarisWksTable() [2/2]

ClarisWksTable::ClarisWksTable | ( | ClarisWksTable const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ askMainToSendZone()

bool ClarisWksTable::askMainToSendZone | ( | int | number | ) |
| protected

ask the main parser to send a zone

## ◆ flushExtra()

void ClarisWksTable::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numPages()

int ClarisWksTable::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

ClarisWksTable& ClarisWksTable::operator= | ( | ClarisWksTable const & | orig | ) |
| privatedelete

## ◆ readTableBorders()

bool ClarisWksTable::readTableBorders | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read the table border

Referenced by readTableZone().

## ◆ readTableBordersId()

bool ClarisWksTable::readTableBordersId | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read the table border

Referenced by readTableZone().

## ◆ readTableCells()

bool ClarisWksTable::readTableCells | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read the table cells

Referenced by readTableZone().

## ◆ readTablePointers()

bool ClarisWksTable::readTablePointers | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read a list of pointer ( unknown meaning )

Referenced by readTableZone().

## ◆ readTableZone()

std::shared_ptr< ClarisWksStruct::DSET > ClarisWksTable::readTableZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone Text DSET

find 3 ptr here in general >= PTR, very often PTR+4,PTR+8,PTR+c, but can be more complex for instance PTR+354,PTR-6924,PTR+7fc,

three fields which seems to follows the list of cells zone 0 : looks like a list of integer : related to last selected border ? zone 1 : looks like a list of integer : unknown meaning

Referenced by numPages().

## ◆ sendZone()

bool ClarisWksTable::sendZone | ( | int | number | ) |
| protected

sends the zone data to the listener (if it exists )

Referenced by flushExtra().

## ◆ version()

int ClarisWksTable::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ ClarisWksDocument

friend class ClarisWksDocument
| friend

## ◆ ClarisWksParser

friend class ClarisWksParser
| friend

## ◆ ClarisWksTableInternal::Table

friend struct ClarisWksTableInternal::Table
| friend

## Member Data Documentation

## ◆ m_document

ClarisWksDocument& ClarisWksTable::m_document
| protected

the document

Referenced by askMainToSendZone(), readTableBorders(), readTableCells(), readTableZone(), and sendZone().

## ◆ m_mainParser

MWAWParser* ClarisWksTable::m_mainParser
| protected

the main parser;

## ◆ m_parserState

MWAWParserStatePtr ClarisWksTable::m_parserState
| protected

the parser state

Referenced by flushExtra(), readTableBorders(), readTableBordersId(), readTableCells(), readTablePointers(), readTableZone(), sendZone(), and version().

## ◆ m_state

std::shared_ptr<ClarisWksTableInternal::State> ClarisWksTable::m_state
| protected

the state

Referenced by flushExtra(), readTableZone(), and sendZone().

The documentation for this class was generated from the following files:

- ClarisWksTable.hxx
- ClarisWksTable.cxx